## $Id: viewlets.py 13357 2015-10-28 08:42:09Z henrik $
##
## Copyright (C) 2015 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##

import grok
from waeup.kofa.interfaces import IKofaObject
from waeup.kofa.browser.viewlets import PrimaryNavTab
from waeup.aaue.interfaces import MessageFactory as _

grok.context(IKofaObject)

class CheckAdmissionTab(PrimaryNavTab):
    """Check Admission tab in primary navigation.

    Display tab only for anonymous. 
    """
    grok.order(4)
    grok.require('waeup.Anonymous')
    tab_title = _(u'Check Admission')
    pnav = 2

    # Also zope.manager has role Anonymous.
    # To avoid displaying this tab, we have to check the principal id too.
    @property
    def link_target(self):
        if self.request.principal.id == 'zope.anybody':
            return self.view.application_url('applicants') + '/checkstatus'
        return